Bug 848037 - Mouse doesn't work after suspend.
Mouse doesn't work after suspend.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 07:52 EDT by Piotr Maciejko
Modified: 2013-08-01 13:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:21:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piotr Maciejko 2012-08-14 07:52:53 EDT
Description of problem:
I have cordless optical mouse, USB, Logitech. When I turn on computer after suspend mouse doesn't work, cursor is at the point where it was while computer go suspend and doesn't move when i move the mouse.

Version-Release number of selected component (if applicable):


How reproducible:
I don't know.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Doesn't work.

Expected results:
Work :D

Additional info:
My motherboard is ga p41t-d3p.
Comment 1 Piotr Maciejko 2012-08-14 07:56:34 EDT
BTW lsusb:
[savpether@DT-Piotr ~]$ lsusb
Bus 001 Device 002: ID 054c:01bd Sony Corp. MRW62E Multi-Card Reader/Writer
Bus 004 Device 002: ID 046d:c517 Logitech, Inc. LX710 Cordless Desktop Laser
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Comment 2 starfall 2012-08-19 04:54:02 EDT
I have the same issue after upgrading to kernel 3.5.2-1.fc17.x86_64. I have a Logitech combined receiver which handles both the wireless keyboard and mouse.

Bus 001 Device 012: ID 046d:c513 Logitech, Inc. MX3000 Cordless Desktop Receiver

After suspend the keyboard portion works, but the mouse does not. If you remove the receiver and re-plug it, then everything works again.

Previous kernel 3.4.6-2.fc17 did not exhibit such behaviour and the mouse did work after suspend.
Comment 3 Piotr Maciejko 2012-08-19 16:10:11 EDT
"If you remove the receiver and re-plug it, then everything works again."

Ye, it works for me, until I suspend computer again :D
Comment 4 Piotr Maciejko 2012-08-24 10:23:17 EDT
Someone already knows something about this bug? Extremely kept making life ...
Comment 5 Piotr Maciejko 2012-09-05 06:04:46 EDT
Yesterday I updated kernel, the bug still exists.
Comment 6 starfall 2012-09-14 18:50:55 EDT
This is still going on an not resolved. 3.4.6 is working fine so must be a regression....
Comment 7 starfall 2012-09-29 03:48:47 EDT
This issue was reported on Launchpad and a patch was produced by Kevin Daughtridge (since sent upstream).

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1049623

Is it possible to include the following patch until kernel 3.6 is packaged?

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1049623/+attachment/3311644/+files/fixup-after-resume.patch
Comment 8 Josh Boyer 2012-09-29 08:05:45 EDT
(In reply to comment #7)
> This issue was reported on Launchpad and a patch was produced by Kevin
> Daughtridge (since sent upstream).
> 
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1049623
> 
> Is it possible to include the following patch until kernel 3.6 is packaged?

No.  Also, it's not fixed in 3.6 either.

The same comment as made in comment #11 of the lauchpad bug applies here.  Once it is in an upstream tree, we'll cherry pick it from there.  It will probably get included in a stable tree as well if it is a regression in 3.5.

Version 3 of the patch seems to be doing best thus far:

http://thread.gmane.org/gmane.linux.usb.general/71440
Comment 9 Josh Boyer 2012-10-03 09:29:44 EDT
OK, this went upstream as:

commit 86e6b77eb7cf9ca2e9c7092b4dfd588f0a3307b6
Author: Kevin Daughtridge <kevin@kdau.com>
Date:   Thu Sep 20 12:00:32 2012 -0700

    HID: keep dev_rdesc unmodified and use it for comparisons

I've asked the input maintainer to include it in stable.  Until then, I'll get it backported in Fedora.
Comment 10 Josh Boyer 2012-10-03 09:38:19 EDT
Please try this scratch kernel after it finishes building.  It includes the mentioned commit.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4555170
Comment 11 b 2012-12-29 15:16:05 EST
I have the same problem... additional info:

1) I have the option set to disable the mouse while typing (System Settings/mouse)

2) I am using the touchpad on an old 15" MacBook Pro (old machine version 4,1)
Comment 12 b 2012-12-29 15:17:35 EST
p.s., the mouse DOES work when I plug in a USB mouse even when my touchpad pointer is frozen.  I think the touchpad is then unfrozen after that.
Comment 13 b 2012-12-30 17:17:34 EST
(In reply to comment #12)
> p.s., the mouse DOES work when I plug in a USB mouse even when my touchpad
> pointer is frozen.  I think the touchpad is then unfrozen after that.

p.s., p.s.  I can no longer produce the error.  I tried combinations of enabling and disabling the "disable the mouse while typing" option and the touchpad scrolling options, but the mouse/touchpad pointer is no longer freezing after suspend.  I am not sure if I updated Fedora after I last observed the problem, but I had installed Fedora 17 only last week and did not update yum for a couple days.
Comment 14 Fedora End Of Life 2013-07-04 02:00:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-08-01 13:22:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.